#ifndef WASEXTERNAL_H
#define WASEXTERNAL_H
#include "TObjArray.h"
#include "TF2.h"
#include "TMinuit.h"
#include "TRandom.h"
#define MAX_NUMB_PHOTONS 7


class WasExternal: public TObject
{
 public:
  WasExternal()
    {
      Double_t step0[3*MAX_NUMB_PHOTONS+1]= {0, 0.1,0.1,0.2, 0.1,0.1,0.2, 0.1,
					     0.1,0.2, 0.1,0.1,0.2, 0.1,0.1,0.2, 
					     0.1,0.1,0.2, 0.1,0.1,0.2};
      for(int j=0;j<3*MAX_NUMB_PHOTONS+1;j++)step[j]=step0[j];
      fcnSS=0;
      UseThis_ab=false;
      widLG[0]=3.81;
      widLG[1]=3.81;
    };
  ~WasExternal(){};
  TObjArray* tow2Fit;
  TF2* fcnSS;
  UInt_t showerShapeFunc;
  UInt_t choiceChi2;
  Float_t showerWidthX;
  Float_t showerWidthY;
  Float_t widLG[2];//glass width X,Y
  UInt_t useLimitForPara;
  Double_t errFactor;
  Double_t errQ;
  TRandom *myRand;
  Double_t step[3*MAX_NUMB_PHOTONS+1];
  Bool_t UseThis_ab;
  Float_t a1;
  Float_t a2;
  Float_t a3;
  Float_t b1;
  Float_t b2;
  Float_t b3;
  
 private:
 ClassDef(WasExternal,2);

};

#endif

